Public Member Functions | Public Attributes | List of all members
FullWrtParserInternal::SideBar Struct Referencefinal

Internal: the sidebar of a FullWrtParser. More...

Inheritance diagram for FullWrtParserInternal::SideBar:

## Public Member Functions
| SideBar (FullWrtStruct::ZoneHeader &)
| constructor More...
| ~SideBar () final
| destructor More...
Public Member Functions inherited from FullWrtStruct::ZoneHeader
| ZoneHeader ()
| constructor More...
virtual | ~ZoneHeader ()
| destructor More...
bool | read (std::shared_ptr< FullWrtStruct::Entry > zone)
| try to read the data header of a classical zone More...

## Public Attributes
MWAWBox2f | m_box
| the position (in point) More...
int | m_page
| the page More...
Public Attributes inherited from FullWrtStruct::ZoneHeader
int | m_type
| the zone type More...
int | m_docId
| the doc id More...
int | m_fileId
| the file id More...
int | m_wrapping
| the wrapping type More...
std::string | m_extra
| some extra data More...

## Detailed Description

Internal: the sidebar of a FullWrtParser.

## Constructor & Destructor Documentation

## ◆ SideBar()

FullWrtParserInternal::SideBar::SideBar | ( | FullWrtStruct::ZoneHeader & |  | ) |
| inline explicit

constructor

## ◆ ~SideBar()

FullWrtParserInternal::SideBar::~SideBar | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_box

MWAWBox2f FullWrtParserInternal::SideBar::m_box

the position (in point)

## ◆ m_page

int FullWrtParserInternal::SideBar::m_page

the page

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx